geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From dwo...@apache.org
Subject svn commit: r655971 - in /geronimo/server/trunk: ./ assemblies/geronimo-boilerplate-minimal/ assemblies/geronimo-boilerplate-minimal/src/main/underlay/etc/ framework/configs/ framework/configs/gshell-framework/ framework/configs/gshell-geronimo/ framew...
Date Tue, 13 May 2008 18:52:17 GMT
Author: dwoods
Date: Tue May 13 11:52:17 2008
New Revision: 655971

URL: http://svn.apache.org/viewvc?rev=655971&view=rev
Log:
GERONIMO-4012 Rework GShell integration.  Additonal changes on top of Jason's r655744 to use
his new configs and to replace the gshell-embeddable usage with individual depends.

Modified:
    geronimo/server/trunk/assemblies/geronimo-boilerplate-minimal/pom.xml
    geronimo/server/trunk/assemblies/geronimo-boilerplate-minimal/src/main/underlay/etc/gsh-classworlds.conf
    geronimo/server/trunk/framework/configs/gshell-framework/pom.xml
    geronimo/server/trunk/framework/configs/gshell-geronimo/pom.xml
    geronimo/server/trunk/framework/configs/pom.xml
    geronimo/server/trunk/framework/modules/geronimo-commands/pom.xml
    geronimo/server/trunk/pom.xml

Modified: geronimo/server/trunk/assemblies/geronimo-boilerplate-minimal/pom.xml
URL: http://svn.apache.org/viewvc/geronimo/server/trunk/assemblies/geronimo-boilerplate-minimal/pom.xml?rev=655971&r1=655970&r2=655971&view=diff
==============================================================================
--- geronimo/server/trunk/assemblies/geronimo-boilerplate-minimal/pom.xml (original)
+++ geronimo/server/trunk/assemblies/geronimo-boilerplate-minimal/pom.xml Tue May 13 11:52:17
2008
@@ -46,6 +46,7 @@
             <version>${version}</version>
         </dependency>
 
+        <!-- following are now pulled in by gshell-geronimo -> gshell-remote ->
gshell-framework
         <dependency>
             <groupId>org.apache.geronimo.gshell</groupId>
             <artifactId>gshell-bootstrap</artifactId>
@@ -57,10 +58,28 @@
         </dependency>
 
         <dependency>
+            <groupId>org.codehaus.groovy</groupId>
+            <artifactId>groovy-all-minimal</artifactId>
+        </dependency>
+
+        <dependency>
+            <groupId>org.apache.ant</groupId>
+            <artifactId>ant</artifactId>
+        </dependency>
+        
+        <dependency>
+            <groupId>org.apache.ant</groupId>
+            <artifactId>ant-launcher</artifactId>
+        </dependency>
+
+        And gshell-embeddable has been replaced with individual depends
+        <dependency>
             <groupId>org.apache.geronimo.gshell</groupId>
             <artifactId>gshell-embeddable</artifactId>
         </dependency>
+        -->
 
+        <!-- following are now pulled in by gshell-geronimo -> gshell-remote
         <dependency>
             <groupId>org.apache.geronimo.gshell</groupId>
             <artifactId>gshell-whisper</artifactId>
@@ -90,29 +109,8 @@
             <groupId>org.apache.mina</groupId>
             <artifactId>mina-filter-ssl</artifactId>
         </dependency>
-
-        <dependency>
-            <groupId>org.codehaus.groovy</groupId>
-            <artifactId>groovy-all-minimal</artifactId>
-        </dependency>
-        
-        <dependency>
-            <groupId>org.codehaus.groovy.maven.support</groupId>
-            <artifactId>ant-1.7.0</artifactId>
-        </dependency>
-        
-        <!--
-        <dependency>
-            <groupId>org.apache.ant</groupId>
-            <artifactId>ant</artifactId>
-        </dependency>
         -->
-        
-        <dependency>
-            <groupId>org.apache.ant</groupId>
-            <artifactId>ant-launcher</artifactId>
-        </dependency>
-
+      
         <!-- lib Dependencies -->
         <dependency>
             <groupId>asm</groupId>
@@ -214,6 +212,13 @@
             <type>car</type>
         </dependency>
 
+        <dependency>
+            <groupId>org.apache.geronimo.framework</groupId>
+            <artifactId>gshell-geronimo</artifactId>
+            <version>${version}</version>
+            <type>car</type>
+        </dependency>
+
         <!-- lib/endorsed Dependencies -->
         <dependency>
             <groupId>org.apache.yoko</groupId>

Modified: geronimo/server/trunk/assemblies/geronimo-boilerplate-minimal/src/main/underlay/etc/gsh-classworlds.conf
URL: http://svn.apache.org/viewvc/geronimo/server/trunk/assemblies/geronimo-boilerplate-minimal/src/main/underlay/etc/gsh-classworlds.conf?rev=655971&r1=655970&r2=655971&view=diff
==============================================================================
--- geronimo/server/trunk/assemblies/geronimo-boilerplate-minimal/src/main/underlay/etc/gsh-classworlds.conf
(original)
+++ geronimo/server/trunk/assemblies/geronimo-boilerplate-minimal/src/main/underlay/etc/gsh-classworlds.conf
Tue May 13 11:52:17 2008
@@ -32,10 +32,21 @@
     load ${gshell.home}/lib/gshell/*.jar
     load ${gshell.home}/lib/cglib-nodep-*.jar
     load ${gshell.home}/lib/geronimo-kernel-*.jar
-    load ${gshell.home}/repository/org/codehaus/groovy/maven/support/ant-1.7.0/1.0-rc-1/ant-1.7.0-*.jar
+    load ${gshell.home}/lib/xstream-*.jar
+    load ${gshell.home}/repository/commons-jexl/commons-jexl/1.1/commons-jexl-*.jar
+    load ${gshell.home}/repository/jline/jline/0.9.94/jline-*.jar
+    load ${gshell.home}/repository/org/apache/ant/ant/1.7.0/ant-*.jar
     load ${gshell.home}/repository/org/apache/ant/ant-launcher/1.7.0/ant-launcher-*.jar
     load ${gshell.home}/repository/org/apache/geronimo/gshell/gshell-cli/1.0-alpha-1/gshell-cli-*.jar
-    load ${gshell.home}/repository/org/apache/geronimo/gshell/gshell-embeddable/1.0-alpha-1/gshell-embeddable-*.jar
+    load ${gshell.home}/repository/org/apache/geronimo/gshell/gshell-command-api/1.0-alpha-1/gshell-command-api-*.jar
+    load ${gshell.home}/repository/org/apache/geronimo/gshell/gshell-core/1.0-alpha-1/gshell-core-*.jar
+    load ${gshell.home}/repository/org/apache/geronimo/gshell/gshell-parser/1.0-alpha-1/gshell-parser-*.jar
+    load ${gshell.home}/repository/org/apache/geronimo/gshell/commands/gshell-builtins/1.0-alpha-1/gshell-builtins-*.jar
+    load ${gshell.home}/repository/org/apache/geronimo/gshell/support/gshell-ansi/1.0-alpha-1/gshell-ansi-*.jar
+    load ${gshell.home}/repository/org/apache/geronimo/gshell/support/gshell-clp/1.0-alpha-1/gshell-clp-*.jar
+    load ${gshell.home}/repository/org/apache/geronimo/gshell/support/gshell-common/1.0-alpha-1/gshell-common-*.jar
+    load ${gshell.home}/repository/org/apache/geronimo/gshell/support/gshell-i18n/1.0-alpha-1/gshell-i18n-*.jar
+    load ${gshell.home}/repository/org/apache/geronimo/gshell/support/gshell-prefs/1.0-alpha-1/gshell-prefs-*.jar
     load ${gshell.home}/repository/org/apache/geronimo/gshell/remote/gshell-remote-client/1.0-alpha-1/gshell-remote-client-*.jar
     load ${gshell.home}/repository/org/apache/geronimo/gshell/remote/gshell-remote-common/1.0-alpha-1/gshell-remote-common-*.jar
     load ${gshell.home}/repository/org/apache/geronimo/gshell/remote/gshell-remote-server/1.0-alpha-1/gshell-remote-server-*.jar
@@ -43,6 +54,12 @@
     load ${gshell.home}/repository/org/apache/mina/mina-core/1.1.6/mina-core-*.jar
     load ${gshell.home}/repository/org/apache/mina/mina-filter-ssl/1.1.6/mina-filter-ssl-*.jar
     load ${gshell.home}/repository/org/codehaus/groovy/groovy-all-minimal/1.5.6/groovy-all-minimal-*.jar
+    load ${gshell.home}/repository/org/codehaus/plexus/plexus-archiver/1.0-alpha-7/plexus-archiver-*.jar
+    load ${gshell.home}/repository/org/codehaus/plexus/plexus-classworlds/1.2-alpha-10/plexus-classworlds-*.jar
+    load ${gshell.home}/repository/org/codehaus/plexus/plexus-component-annotations/1.0-alpha-1/plexus-component-annotations-*.jar
+    load ${gshell.home}/repository/org/codehaus/plexus/plexus-component-api/1.0-alpha-32/plexus-component-api-*.jar
+    load ${gshell.home}/repository/org/codehaus/plexus/plexus-container-default/1.0-alpha-32/plexus-container-default-*.jar
+    load ${gshell.home}/repository/org/codehaus/plexus/plexus-utils/1.4.5/plexus-utils-*.jar
     load ${gshell.home}/repository/org/apache/geronimo/specs/geronimo-javaee-deployment_1.1MR3_spec/1.0/geronimo-javaee-deployment_1.1MR3_spec-1.0.jar
     load ${gshell.home}/repository/org/apache/geronimo/framework/geronimo-cli/2.2-SNAPSHOT/geronimo-cli-*.jar
     load ${gshell.home}/repository/org/apache/geronimo/framework/geronimo-deploy-config/2.2-SNAPSHOT/geronimo-deploy-config-*.jar
@@ -52,5 +69,3 @@
     load ${gshell.home}/repository/org/apache/geronimo/framework/geronimo-plugin/2.2-SNAPSHOT/geronimo-plugin-*.jar
     load ${gshell.home}/repository/org/apache/geronimo/framework/geronimo-common/2.2-SNAPSHOT/geronimo-common-*.jar
     load ${gshell.home}/repository/org/apache/geronimo/framework/geronimo-crypto/2.2-SNAPSHOT/geronimo-crypto-*.jar
-    load ${gshell.home}/repository/org/codehaus/plexus/plexus-archiver/1.0-alpha-7/plexus-archiver-*.jar
-    load ${gshell.home}/repository/org/codehaus/plexus/plexus-utils/1.4.1/plexus-utils-*.jar

Modified: geronimo/server/trunk/framework/configs/gshell-framework/pom.xml
URL: http://svn.apache.org/viewvc/geronimo/server/trunk/framework/configs/gshell-framework/pom.xml?rev=655971&r1=655970&r2=655971&view=diff
==============================================================================
--- geronimo/server/trunk/framework/configs/gshell-framework/pom.xml (original)
+++ geronimo/server/trunk/framework/configs/gshell-framework/pom.xml Tue May 13 11:52:17 2008
@@ -47,13 +47,134 @@
         
         <dependency>
             <groupId>org.apache.geronimo.gshell</groupId>
+            <artifactId>gshell-bootstrap</artifactId>
+        </dependency>
+
+        <dependency>
+            <groupId>org.apache.geronimo.gshell</groupId>
+            <artifactId>gshell-cli</artifactId>
+        </dependency>
+
+        <dependency>
+            <groupId>org.apache.geronimo.gshell</groupId>
+            <artifactId>gshell-command-api</artifactId>
+        </dependency>
+
+        <dependency>
+            <groupId>org.apache.geronimo.gshell</groupId>
             <artifactId>gshell-core</artifactId>
         </dependency>
 
         <dependency>
+            <groupId>org.apache.geronimo.gshell</groupId>
+            <artifactId>gshell-parser</artifactId>
+        </dependency>
+
+        <dependency>
             <groupId>org.apache.geronimo.gshell.commands</groupId>
             <artifactId>gshell-builtins</artifactId>
         </dependency>
+
+        <dependency>
+            <groupId>org.apache.geronimo.gshell.support</groupId>
+            <artifactId>gshell-ansi</artifactId>
+        </dependency>
+
+        <dependency>
+            <groupId>org.apache.geronimo.gshell.support</groupId>
+            <artifactId>gshell-clp</artifactId>
+        </dependency>
+
+        <dependency>
+            <groupId>org.apache.geronimo.gshell.support</groupId>
+            <artifactId>gshell-common</artifactId>
+        </dependency>
+
+        <dependency>
+            <groupId>org.apache.geronimo.gshell.support</groupId>
+            <artifactId>gshell-i18n</artifactId>
+        </dependency>
+
+        <dependency>
+            <groupId>org.apache.geronimo.gshell.support</groupId>
+            <artifactId>gshell-prefs</artifactId>
+        </dependency>
+
+        <dependency>
+            <groupId>org.codehaus.plexus</groupId>
+            <artifactId>plexus-archiver</artifactId>
+        </dependency>
+
+        <dependency>
+            <groupId>org.codehaus.plexus</groupId>
+            <artifactId>plexus-classworlds</artifactId>
+        </dependency>
+
+        <dependency>
+            <groupId>org.codehaus.plexus</groupId>
+            <artifactId>plexus-component-annotations</artifactId>
+        </dependency>
+
+        <dependency>
+            <groupId>org.codehaus.plexus</groupId>
+            <artifactId>plexus-component-api</artifactId>
+        </dependency>
+
+        <dependency>
+            <groupId>org.codehaus.plexus</groupId>
+            <artifactId>plexus-container-default</artifactId>
+        </dependency>
+
+        <dependency>
+            <groupId>org.codehaus.plexus</groupId>
+            <artifactId>plexus-utils</artifactId>
+        </dependency>
+
+        <dependency>
+            <groupId>org.codehaus.groovy</groupId>
+            <artifactId>groovy-all-minimal</artifactId>
+        </dependency>
+
+        <dependency>
+            <groupId>org.apache.ant</groupId>
+            <artifactId>ant</artifactId>
+        </dependency>
+        
+        <dependency>
+            <groupId>org.apache.ant</groupId>
+            <artifactId>ant-launcher</artifactId>
+        </dependency>
+
+        <dependency>
+            <groupId>com.thoughtworks.xstream</groupId>
+            <artifactId>xstream</artifactId>
+        </dependency>
+
+        <dependency>
+            <groupId>commons-jexl</groupId>
+            <artifactId>commons-jexl</artifactId>
+        </dependency>
+
+        <dependency>
+            <groupId>org.slf4j</groupId>
+            <artifactId>slf4j-api</artifactId>
+        </dependency>
+
+        <dependency>
+            <groupId>org.slf4j</groupId>
+            <artifactId>slf4j-log4j12</artifactId>
+        </dependency>
+
+        <dependency>
+            <groupId>org.slf4j</groupId>
+            <artifactId>jcl104-over-slf4j</artifactId>
+        </dependency>
+
+        <dependency>
+            <groupId>jline</groupId>
+            <artifactId>jline</artifactId>
+        </dependency>
+
     </dependencies>
 
     <build>

Modified: geronimo/server/trunk/framework/configs/gshell-geronimo/pom.xml
URL: http://svn.apache.org/viewvc/geronimo/server/trunk/framework/configs/gshell-geronimo/pom.xml?rev=655971&r1=655970&r2=655971&view=diff
==============================================================================
--- geronimo/server/trunk/framework/configs/gshell-geronimo/pom.xml (original)
+++ geronimo/server/trunk/framework/configs/gshell-geronimo/pom.xml Tue May 13 11:52:17 2008
@@ -39,7 +39,7 @@
     <dependencies>
         <dependency>
             <groupId>org.apache.geronimo.framework</groupId>
-            <artifactId>gshell-framework</artifactId>
+            <artifactId>gshell-remote</artifactId>
             <version>${version}</version>
             <type>car</type>
         </dependency>

Modified: geronimo/server/trunk/framework/configs/pom.xml
URL: http://svn.apache.org/viewvc/geronimo/server/trunk/framework/configs/pom.xml?rev=655971&r1=655970&r2=655971&view=diff
==============================================================================
--- geronimo/server/trunk/framework/configs/pom.xml (original)
+++ geronimo/server/trunk/framework/configs/pom.xml Tue May 13 11:52:17 2008
@@ -51,6 +51,9 @@
         <module>upgrade-cli</module>
         <module>upgrade</module>
         <module>transformer-agent</module>
+        <module>gshell-framework</module>
+        <module>gshell-remote</module>
+        <module>gshell-geronimo</module>
     </modules>
     
     <build>

Modified: geronimo/server/trunk/framework/modules/geronimo-commands/pom.xml
URL: http://svn.apache.org/viewvc/geronimo/server/trunk/framework/modules/geronimo-commands/pom.xml?rev=655971&r1=655970&r2=655971&view=diff
==============================================================================
--- geronimo/server/trunk/framework/modules/geronimo-commands/pom.xml (original)
+++ geronimo/server/trunk/framework/modules/geronimo-commands/pom.xml Tue May 13 11:52:17
2008
@@ -55,16 +55,9 @@
         </dependency>
         
         <dependency>
-            <groupId>org.codehaus.groovy.maven.support</groupId>
-            <artifactId>ant-1.7.0</artifactId>
-        </dependency>
-
-        <!--
-        <dependency>
             <groupId>org.apache.ant</groupId>
             <artifactId>ant</artifactId>
         </dependency>
-        -->
         
         <dependency>
             <groupId>org.apache.geronimo.framework</groupId>

Modified: geronimo/server/trunk/pom.xml
URL: http://svn.apache.org/viewvc/geronimo/server/trunk/pom.xml?rev=655971&r1=655970&r2=655971&view=diff
==============================================================================
--- geronimo/server/trunk/pom.xml (original)
+++ geronimo/server/trunk/pom.xml Tue May 13 11:52:17 2008
@@ -67,38 +67,27 @@
         <geronimoSchemaVersion>1.2</geronimoSchemaVersion>
         
         <!--
-        Having a single well named property makes automatic updating for the weekly build
much easier.
+        Having a single well named version properties makes automatic updating for the weekly
build much easier.
         -->
         <openejbVersion>3.1-SNAPSHOT</openejbVersion>
-
-        <!--
-        HACK: Used by uddi-db to execute the sql plugin with the Derby driver.
-        -->
+        <yokoVersion>1.0-SNAPSHOT</yokoVersion>
         <derbyVersion>10.2.2.0</derbyVersion>
-
-        <!--
-        HACK: Used by jsp and servlet example configs to point to the tomcat deployer
-        -->
         <tomcatVersion>6.0.14</tomcatVersion>
-
-        <!--
-        HACK: Used by uddi-jetty and uddi-tomcat config plans
-        -->
         <tranqlVendorsVersion>1.4</tranqlVendorsVersion>
-
-        <!--
-        HACK: Used by geronimo-dojo
-        -->
         <dojoVersion>1.1.0</dojoVersion>
         <dojoLegacyVersion>0.4.3</dojoLegacyVersion>
-
         <cxfVersion>2.0.2-incubator</cxfVersion>
-
         <axis2Version>1.3</axis2Version>
         <axiomVersion>1.2.5</axiomVersion>
         <springVersion>2.0.5</springVersion>
         <plutoVersion>1.1.6-G643117</plutoVersion>
-
+        <openjpaVersion>1.0.2</openjpaVersion>
+        <xbeanVersion>3.3</xbeanVersion>
+        <gshellVersion>1.0-alpha-1</gshellVersion>
+        <gmavenVersion>1.0-rc-1</gmavenVersion>
+        <minaVersion>1.1.6</minaVersion>
+        <slf4jVersion>1.5.0</slf4jVersion>
+        <groovyVersion>1.5.6</groovyVersion>
         <wadiVersion>2.0-SNAPSHOT</wadiVersion>
 
         <!-- Deployers -->
@@ -320,12 +309,12 @@
             <dependency>
                 <groupId>org.apache.openjpa</groupId>
                 <artifactId>openjpa</artifactId>
-                <version>1.0.2</version>
+                <version>${openjpaVersion}</version>
             </dependency>
             <dependency>
                 <groupId>org.apache.openjpa</groupId>
                 <artifactId>openjpa-persistence-jdbc</artifactId>
-                <version>1.0.2</version>
+                <version>${openjpaVersion}</version>
             </dependency>
 
             <dependency>
@@ -337,25 +326,19 @@
             <dependency>
                 <groupId>org.apache.xbean</groupId>
                 <artifactId>xbean-finder</artifactId>
-                <version>3.3</version>
+                <version>${xbeanVersion}</version>
             </dependency>
 
             <dependency>
                 <groupId>org.apache.xbean</groupId>
                 <artifactId>xbean-naming</artifactId>
-                <version>3.3</version>
+                <version>${xbeanVersion}</version>
             </dependency>
 
             <dependency>
                 <groupId>org.apache.xbean</groupId>
                 <artifactId>xbean-reflect</artifactId>
-                <version>3.3</version>
-            </dependency>
-
-            <dependency>
-                <groupId>jline</groupId>
-                <artifactId>jline</artifactId>
-                <version>0.9.94</version>
+                <version>${xbeanVersion}</version>
             </dependency>
 
             <dependency>
@@ -498,28 +481,29 @@
                 </exclusions>
             </dependency>
 
+            <!-- SLF4J support - used by Server and GShell -->
             <dependency>
                 <groupId>org.slf4j</groupId>
                 <artifactId>slf4j-api</artifactId>
-                <version>1.5.0</version>
+                <version>${slf4jVersion}</version>
             </dependency>
 
             <dependency>
                 <groupId>org.slf4j</groupId>
                 <artifactId>slf4j-simple</artifactId>
-                <version>1.5.0</version>
+                <version>${slf4jVersion}</version>
             </dependency>
 
             <dependency>
                 <groupId>org.slf4j</groupId>
                 <artifactId>slf4j-log4j12</artifactId>
-                <version>1.5.0</version>
+                <version>${slf4jVersion}</version>
             </dependency>
 
             <dependency>
                 <groupId>org.slf4j</groupId>
                 <artifactId>jcl104-over-slf4j</artifactId>
-                <version>1.5.0</version>
+                <version>${slf4jVersion}</version>
             </dependency>
 
             <dependency>
@@ -636,25 +620,25 @@
             <dependency>
                 <groupId>org.apache.yoko</groupId>
                 <artifactId>yoko-core</artifactId>
-                <version>1.0-SNAPSHOT</version>
+                <version>${yokoVersion}</version>
             </dependency>
 
             <dependency>
                 <groupId>org.apache.yoko</groupId>
                 <artifactId>yoko-spec-corba</artifactId>
-                <version>1.0-SNAPSHOT</version>
+                <version>${yokoVersion}</version>
             </dependency>
 
             <dependency>
                 <groupId>org.apache.yoko</groupId>
                 <artifactId>yoko-rmi-spec</artifactId>
-                <version>1.0-SNAPSHOT</version>
+                <version>${yokoVersion}</version>
             </dependency>
 
             <dependency>
                 <groupId>org.apache.yoko</groupId>
                 <artifactId>yoko-rmi-impl</artifactId>
-                <version>1.0-SNAPSHOT</version>
+                <version>${yokoVersion}</version>
             </dependency>
 
             <dependency>
@@ -839,6 +823,7 @@
                 <version>1.0</version>
             </dependency>
 
+            <!-- Need a non-Sun RI version for Apache Harmony and IBM SDK -->
             <dependency>
                 <groupId>jstl</groupId>
                 <artifactId>jstl</artifactId>
@@ -1031,6 +1016,7 @@
                 <version>0.9rc4</version>
             </dependency>
 
+            <!-- Tomcat web container -->
             <dependency>
                 <groupId>org.apache.tomcat</groupId>
                 <artifactId>jasper</artifactId>
@@ -1091,6 +1077,7 @@
                 <version>${tomcatVersion}</version>
             </dependency>
 
+            <!-- WADI support -->
             <dependency>
                 <groupId>org.codehaus.wadi</groupId>
                 <artifactId>wadi-aop</artifactId>
@@ -1115,6 +1102,7 @@
                 <version>${wadiVersion}</version>
             </dependency>
 
+            <!-- Jetty web container -->
             <dependency>
                 <groupId>org.mortbay.jetty</groupId>
                 <artifactId>jetty</artifactId>
@@ -1353,131 +1341,109 @@
                 <version>0.1.0</version>
             </dependency>
 
-            <dependency>
-                <groupId>org.dojotoolkit</groupId>
-                <artifactId>dojo</artifactId>
-                <version>${dojoVersion}</version>
-                <type>tgz</type>
-            </dependency>
-
-            <dependency>
-                <groupId>org.dojotoolkit</groupId>
-                <artifactId>dojolegacy</artifactId>
-                <version>${dojoLegacyVersion}</version>
-                <type>tgz</type>
-            </dependency>
-
-            <!-- GShell Support -->
-
+            <!-- GShell Framework Support -->
+            <!-- replaced gshell-embeddable with individual jars -->
             <dependency>
                 <groupId>org.apache.geronimo.gshell</groupId>
-                <artifactId>gshell-embeddable</artifactId>
-                <version>1.0-alpha-1</version>
+                <artifactId>gshell-bootstrap</artifactId>
+                <version>${gshellVersion}</version>
             </dependency>
 
             <dependency>
                 <groupId>org.apache.geronimo.gshell</groupId>
-                <artifactId>gshell-bootstrap</artifactId>
-                <version>1.0-alpha-1</version>
+                <artifactId>gshell-cli</artifactId>
+                <version>${gshellVersion}</version>
             </dependency>
 
             <dependency>
                 <groupId>org.apache.geronimo.gshell</groupId>
                 <artifactId>gshell-command-api</artifactId>
-                <version>1.0-alpha-1</version>
+                <version>${gshellVersion}</version>
             </dependency>
 
             <dependency>
                 <groupId>org.apache.geronimo.gshell</groupId>
                 <artifactId>gshell-core</artifactId>
-                <version>1.0-alpha-1</version>
+                <version>${gshellVersion}</version>
             </dependency>
 
             <dependency>
                 <groupId>org.apache.geronimo.gshell</groupId>
-                <artifactId>gshell-cli</artifactId>
-                <version>1.0-alpha-1</version>
+                <artifactId>gshell-parser</artifactId>
+                <version>${gshellVersion}</version>
             </dependency>
 
             <dependency>
-                <groupId>org.apache.geronimo.gshell</groupId>
-                <artifactId>gshell-whisper</artifactId>
-                <version>1.0-alpha-1</version>
+                <groupId>org.apache.geronimo.gshell.commands</groupId>
+                <artifactId>gshell-builtins</artifactId>
+                <version>${gshellVersion}</version>
             </dependency>
 
             <dependency>
-                <groupId>org.apache.geronimo.gshell.commands</groupId>
-                <artifactId>gshell-builtins</artifactId>
-                <version>1.0-alpha-1</version>
+                <groupId>org.apache.geronimo.gshell.support</groupId>
+                <artifactId>gshell-ansi</artifactId>
+                <version>${gshellVersion}</version>
             </dependency>
 
             <dependency>
-                <groupId>org.apache.geronimo.gshell.remote</groupId>
-                <artifactId>gshell-remote-client</artifactId>
-                <version>1.0-alpha-1</version>
+                <groupId>org.apache.geronimo.gshell.support</groupId>
+                <artifactId>gshell-clp</artifactId>
+                <version>${gshellVersion}</version>
             </dependency>
 
             <dependency>
-                <groupId>org.apache.geronimo.gshell.remote</groupId>
-                <artifactId>gshell-remote-common</artifactId>
-                <version>1.0-alpha-1</version>
+                <groupId>org.apache.geronimo.gshell.support</groupId>
+                <artifactId>gshell-common</artifactId>
+                <version>${gshellVersion}</version>
             </dependency>
 
             <dependency>
-                <groupId>org.apache.geronimo.gshell.remote</groupId>
-                <artifactId>gshell-remote-server</artifactId>
-                <version>1.0-alpha-1</version>
+                <groupId>org.apache.geronimo.gshell.support</groupId>
+                <artifactId>gshell-i18n</artifactId>
+                <version>${gshellVersion}</version>
             </dependency>
 
             <dependency>
-                <groupId>org.apache.mina</groupId>
-                <artifactId>mina-core</artifactId>
-                <version>1.1.6</version>
+                <groupId>org.apache.geronimo.gshell.support</groupId>
+                <artifactId>gshell-prefs</artifactId>
+                <version>${gshellVersion}</version>
             </dependency>
 
             <dependency>
-                <groupId>org.apache.mina</groupId>
-                <artifactId>mina-filter-ssl</artifactId>
-                <version>1.1.6</version>
+                <groupId>jline</groupId>
+                <artifactId>jline</artifactId>
+                <version>0.9.94</version>
             </dependency>
 
             <dependency>
                 <groupId>org.codehaus.groovy.maven</groupId>
                 <artifactId>gmaven-mojo</artifactId>
-                <version>1.0-rc-1</version>
+                <version>${gmavenVersion}</version>
             </dependency>
 
             <dependency>
                 <groupId>org.codehaus.groovy.maven.runtime</groupId>
                 <artifactId>gmaven-runtime-default</artifactId>
-                <version>1.0-rc-1</version>
+                <version>${gmavenVersion}</version>
             </dependency>
 
             <dependency>
                 <groupId>org.codehaus.groovy.maven.support</groupId>
                 <artifactId>slf4j-gossip</artifactId>
-                <version>1.0-rc-1</version>
+                <version>${gmavenVersion}</version>
             </dependency>
 
             <dependency>
                 <groupId>org.codehaus.groovy</groupId>
                 <artifactId>groovy-all-minimal</artifactId>
-                <version>1.5.6</version>
+                <version>${groovyVersion}</version>
             </dependency>
 
             <dependency>
-                <groupId>org.codehaus.groovy.maven.support</groupId>
-                <artifactId>ant-1.7.0</artifactId>
-                <version>1.0-rc-1</version>
-            </dependency>
-            
-            <!--
-            <dependency>
                 <groupId>org.apache.ant</groupId>
                 <artifactId>ant</artifactId>
                 <version>1.7.0</version>
             </dependency>
-            -->
 
             <dependency>
                 <groupId>org.apache.ant</groupId>
@@ -1486,6 +1452,74 @@
             </dependency>
 
             <dependency>
+                <groupId>org.codehaus.plexus</groupId>
+                <artifactId>plexus-classworlds</artifactId>
+                <version>1.2-alpha-10</version>
+            </dependency>
+
+            <dependency>
+                <groupId>org.codehaus.plexus</groupId>
+                <artifactId>plexus-component-annotations</artifactId>
+                <version>1.0-alpha-1</version>
+            </dependency>
+
+            <dependency>
+                <groupId>org.codehaus.plexus</groupId>
+                <artifactId>plexus-component-api</artifactId>
+                <version>1.0-alpha-32</version>
+            </dependency>
+
+            <dependency>
+                <groupId>org.codehaus.plexus</groupId>
+                <artifactId>plexus-container-default</artifactId>
+                <version>1.0-alpha-32</version>
+            </dependency>
+
+            <dependency>
+                <groupId>org.codehaus.plexus</groupId>
+                <artifactId>plexus-utils</artifactId>
+                <version>1.4.5</version>
+            </dependency>
+
+            <!-- GShell Remote Support -->
+            <dependency>
+                <groupId>org.apache.geronimo.gshell</groupId>
+                <artifactId>gshell-whisper</artifactId>
+                <version>${gshellVersion}</version>
+            </dependency>
+
+            <dependency>
+                <groupId>org.apache.geronimo.gshell.remote</groupId>
+                <artifactId>gshell-remote-client</artifactId>
+                <version>${gshellVersion}</version>
+            </dependency>
+
+            <dependency>
+                <groupId>org.apache.geronimo.gshell.remote</groupId>
+                <artifactId>gshell-remote-common</artifactId>
+                <version>${gshellVersion}</version>
+            </dependency>
+
+            <dependency>
+                <groupId>org.apache.geronimo.gshell.remote</groupId>
+                <artifactId>gshell-remote-server</artifactId>
+                <version>${gshellVersion}</version>
+            </dependency>
+
+            <dependency>
+                <groupId>org.apache.mina</groupId>
+                <artifactId>mina-core</artifactId>
+                <version>${minaVersion}</version>
+            </dependency>
+
+            <dependency>
+                <groupId>org.apache.mina</groupId>
+                <artifactId>mina-filter-ssl</artifactId>
+                <version>${minaVersion}</version>
+            </dependency>
+
+            <!-- Admin Console support -->
+            <dependency>
                 <groupId>org.apache.pluto</groupId>
                 <artifactId>pluto-portal-driver</artifactId>
                 <version>${plutoVersion}</version>
@@ -1609,31 +1643,26 @@
                 <version>${plutoVersion}</version>
             </dependency>
 
-            <!-- archive support -->
-            <!-- archiver version matches maven 2.0.7.  Upgrading maven may require upgrading
this version -->
-            
-            <dependency>
-                <groupId>org.codehaus.plexus</groupId>
-                <artifactId>plexus-archiver</artifactId>
-                <version>1.0-alpha-7</version>
-            </dependency>
-            
             <dependency>
-                <groupId>org.codehaus.plexus</groupId>
-                <artifactId>plexus-utils</artifactId>
-                <version>1.4.1</version>
+                <groupId>org.dojotoolkit</groupId>
+                <artifactId>dojo</artifactId>
+                <version>${dojoVersion}</version>
+                <type>tgz</type>
             </dependency>
-            
+
             <dependency>
-                <groupId>org.codehaus.plexus</groupId>
-                <artifactId>plexus-container-default</artifactId>
-                <version>1.0-alpha-9</version>
+                <groupId>org.dojotoolkit</groupId>
+                <artifactId>dojolegacy</artifactId>
+                <version>${dojoLegacyVersion}</version>
+                <type>tgz</type>
             </dependency>
-            
+
+            <!-- archive support -->
+            <!-- archiver version matches maven 2.0.7.  Upgrading maven may require upgrading
this version -->
             <dependency>
                 <groupId>org.codehaus.plexus</groupId>
-                <artifactId>plexus-component-api</artifactId>
-                <version>1.0-alpha-15</version>
+                <artifactId>plexus-archiver</artifactId>
+                <version>1.0-alpha-7</version>
             </dependency>
 
             <!-- Spring Plugin -->
@@ -2056,7 +2085,7 @@
                 <plugin>
                     <groupId>org.apache.geronimo.gshell</groupId>
                     <artifactId>gshell-maven-plugin</artifactId>
-                    <version>1.0-alpha-1</version>
+                    <version>${gshellVersion}</version>
                 </plugin>
 
                 <plugin>



Mime
View raw message